Subject: bug#79058: 30.1; involking signal using emacsclient takes very long time to complete ~2 seconds

From: Eli Zaretskii <[email-masked]>
Date: Sun, 20 Jul 2025 21:54:13 +0300

> From: Bror Winther <[email-masked]>
> Date: Sun, 20 Jul 2025 19:20:22 +0200
> Cc: [email-masked]
> 
> Sure, no problem at all. I use a tiling window manager. For this I have a script
> for navigating between OS windows and for consistency I use the same script to
> navigate windows in Emacs. The script uses emacsclient --eval “(evil-window-up
> 1)” to navigate a window up, if this fails it will call the window manager
> instead because it means that there is no window in that direction. Because the
> wait is now 2 seconds it takes 2 seconds to shift focus out of emacs. This might
> be a minor nuisance but enough to be annoying.

Sorry, I don't understand: the wait is only when an error message is
to be displayed.  Your description above doesn't involve any messages,
AFAIU, so how is the recipe you've shown related to your real problem?

> +(defcustom server-error-display-wait 2
> +  "Number of seconds the server waits when displaying an error."
> +  :type 'integer
> +  :version "30.1")

Thanks, but I don't see any need to make this a user option.  If some
rare Lisp program needs to control the wait time after showing an
error message, it can let-bind a simple variable.  Users have no
reason to customize this time globally.